DWARF_ERRMSG(3)

NAME
dwarf_errmsg - retrieve a human-readable string corresponding to a Dwarf_Error instance

LIBRARY
libdwarf

SYNOPSIS
#include <libdwarf.h>
const char *
dwarf_errmsg(Dwarf_Error err);

DESCRIPTION
Function dwarf_errmsg() returns a NUL- terminated string for the error denoted by argument err.

Argument err should be a valid handle to a Dwarf_Error instance.

Memory Management
The returned pointer should not be freed using free(3) or dwarf_dealloc(3).

RETURN VALUES
Function dwarf_errmsg() returns a pointer to a NUL- terminated string.

SEE ALSO
dwarf(3), dwarf_errno(3)